<?php


/**
 * This class adds structure of 'katao_cart_product' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    lib.model.map
 */
class KataoCartProductMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'lib.model.map.KataoCartProductMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('katao_cart_product');
		$tMap->setPhpName('KataoCartProduct');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('KATAO_CART_ID', 'KataoCartId', 'int', CreoleTypes::INTEGER, 'katao_cart', 'ID', true, null);

		$tMap->addForeignKey('KATAO_PRODUCT_ID', 'KataoProductId', 'int', CreoleTypes::INTEGER, 'katao_product', 'ID', true, null);

		$tMap->addColumn('PRODUCT_REFERENCE', 'ProductReference', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('PRODUCT_NAME', 'ProductName', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('PRODUCT_PRICE_EURO', 'ProductPriceEuro', 'double', CreoleTypes::FLOAT, true, null);

		$tMap->addColumn('PRODUCT_MARGIN', 'ProductMargin', 'double', CreoleTypes::FLOAT, false, null);

		$tMap->addColumn('PRODUCT_TVA_RATE', 'ProductTvaRate', 'double', CreoleTypes::FLOAT, false, null);

		$tMap->addColumn('QUANTITY', 'Quantity', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('QUANTITY_ADJUSTED', 'QuantityAdjusted', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('HAS_BEEN_ADJUSTED', 'HasBeenAdjusted', 'int', CreoleTypes::INTEGER, false, 1);

		$tMap->addColumn('QUANTITY_DELIVERED', 'QuantityDelivered', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addForeignKey('KATAO_ORDER_PRODUCT_ID', 'KataoOrderProductId', 'int', CreoleTypes::INTEGER, 'katao_order_product', 'ID', false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

	} // doBuild()

} // KataoCartProductMapBuilder
